#!perl
use strict;
use Text::Xslate;
my $tx       = Text::Xslate->new();
my $template = <<'TMPL';
:# zfor[vœWJ
: for $data -> $item {
    <: $~item.count :>. <: $item :>
: }
TMPL
my %vars     = (
    data => [qw(Apple Banana Pear)],
);
# t@CǂݍŃ_O
print $tx->render_string($template, \%vars);
__END__
# :
    1. Apple
    2. Banana
    3. Pear
